More

    Critical Warning From Intel: Vulnerability Detected That Could Steal User Information

    Intel has detected a hardware vulnerability. The company stated that the update, which it released urgently, should be installed immediately so that user information is not stolen.

    A security vulnerability has been identified that closely concerns users with Intel branded products. The technology giant, in a recent announcement; emphasized that it has detected an important security vulnerability and has the potential to steal user information.

    According to Intel, the vulnerability is not found in just one product. This vulnerability includes mobile devices, storage products, data centre servers, workstations, and other Intel products. The vulnerability, which is marked as high risk, also puts user security at risk.

    Update now

    Processor manufacturer Intel released an urgent update after detecting the error first reported by The Register. The vulnerability, marked as ‘high severity’, can be eliminated with the latest update. Therefore, you should make the latest updates as soon as possible in order not to be affected by the problem. So which products did this vulnerability affect?

    According to Intel’s statements, 10th Gen Intel Core and Ontel X series processors can be affected by the detected vulnerability. You can browse all the products on Intel’s page by clicking here. Also, this is not the only fault.

    Intel also emphasized that there are different vulnerabilities that can affect some processors. The potential vulnerability, called ‘Low Significance’, could result in the disclosure of information. Against all these risks, Intel says everyone should do the latest updates.

    Latest articles

    Related articles

    Leave a reply

    Please enter your comment!
    Please enter your name here